import axios from '../api'

/**
 * API接口
 */
export default {

  getAuthGroupList(params) {
    return axios({
      method: "POST",
      url: '/api/lsauthgroup/getAuthGroupList',
      data: {}
    })
  },

  // 获取角色列表
  authGroupList(params) {
    return axios.post('/api/lsauthgroup/index', params)
  },

  // 添加角色
  authGroupAdd(params) {
    return axios.post('/api/lsauthgroup/add', params)
  },

  // 编辑角色
  authGroupEdit(params) {
    return axios.post('/api/lsauthgroup/edit', params)
  },

  // 获取角色详情
  authGroupInfo(params) {
    return axios({
      method: "GET",
      url: '/api/lsauthgroup/info?id='+params.id,
      data: {}
    })
  },

  // 删除角色
  authGroupDel(params) {
    return axios({
      method: "POST",
      url: '/api/lsauthgroup/drop',
      params: params
    })
  },

  // 设置角色状态
  authGroupStatus(params) {
    return axios.post('/api/lsauthgroup/setStatus', params)
  },

}
